<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class IntegracaoHcmFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getParamsGeral(){
        $sql = "SELECT DSURLHCM, DSIDHCM, DSSECRETHCM, DSTOKENHCM 
                  FROM PARAMGERAL";

        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }

    public function getAllContracts($params) {
        
        $sql = "SELECT DISTINCT FCT_CONTRATO.NRSEQCONTRATO, TO_CHAR(FCT_CONTRATO.DTINICIOCONTRATO, 'MM/DD/YYYY') AS DTINICIOCONTRATO, TO_CHAR(FCT_CONTRATO.DTFIMCONTRATO, 'DD/MM/YYYY') AS DTFIMCONTRATO, 
                                FCT_CONTRATO.NRPARCNEGOCIO,  PARCNEGOCIO.NRINSCRICAOPARC,
                                ENDERECOPARC.CDTIPOENDERECO,  MUNICIPIO.NMMUNICIPIO, NMPRINCIPALPARC,  ENDERECOPARC.NMBAIRROENDERECO, 
                                ENDERECOPARC.SGESTADO, ENDERECOPARC.DSCOMPLEENDERECO, ENDERECOPARC.NRCEPENDERECO, ENDERECOPARC.NRIMOVELENDERECO, ENDERECOPARC.CDPAIS, 
                                ENDERECOPARC.CDLOGRADOURO, ENDERECOPARC.DSREFERENCIAENDE, PAIS.NMPAIS
                        FROM FCT_CONTRATO
                        LEFT JOIN ENDERECOPARC
                        ON FCT_CONTRATO.NRPARCNEGOCIO = ENDERECOPARC.NRPARCNEGOCIO
                        LEFT JOIN PARCNEGOCIO
                        ON FCT_CONTRATO.NRPARCNEGOCIO = PARCNEGOCIO.NRPARCNEGOCIO
                        LEFT JOIN MUNICIPIO
                        ON ENDERECOPARC.CDMUNICIPIO = MUNICIPIO.CDMUNICIPIO
                        LEFT JOIN PAIS
                        ON ENDERECOPARC.CDPAIS = PAIS.CDPAIS
                        WHERE FCT_CONTRATO.NRSEQCONTRATO = $params
                        AND CDTIPOENDERECO = 'PRINCIPAL'";

        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }

    public function updateToken($token) {
        $sql = "UPDATE PARAMGERAL
                   SET DSTOKENHCM = '$token'";

        $this->connection->executeStatement($sql);
    }

    public function getItensContrato($params) {
        $sql = "SELECT NRITEMOCONTRATO, CDSERVORCA, QTITEMCONTRATO
                            FROM FCT_ITEMCONTRATO
                          WHERE NRSEQCONTRATO  = 8404";
          
        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }
}