<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctCopiaFormPrecoItprop {
    
    const NOME = "FCT_COPIA_FORM_PRECO_ITPROP";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure.
     *  
     * @return string
     */
    public function executar($nritemorcamento, $nrseqorcamento, $nrformprecoservico, $nrorg, $operador, $nrcalcform, $idformacao){
        $procedure = new StoredProcedure($this->connection, self::NOME);

        $procedure->addParam(new Param("P_NRFORMPRECOSERVICO",  Param::PARAM_INPUT,    $nrformprecoservico, Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRORG",               Param::PARAM_INPUT,    $nrorg,              Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_OPERADOR",            Param::PARAM_INPUT,    $operador,           Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRSEQORCAMENTO",      Param::PARAM_INPUT,    $nrseqorcamento,     Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRITEMORCAMENTO",     Param::PARAM_INPUT,    $nritemorcamento,    Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRCALCFORMPRECSERV",  Param::PARAM_INPUT,    $nrcalcform,         Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_IDFORMACAO",          Param::PARAM_INPUT,    $idformacao,         Param::PARAM_TYPE_INT));

        $resultado = $procedure->execute();
    }
    
}

?>
 
 
 
 
 
 
 
 